API

YouTube API

The AI-powered YouTube provides 360° Global Media Data & Intelligence on YouTube creators, video producers, brand marketers, and content distributors.

APIリファレンス バージョン: 1.0.0 15 エンドポイント 認証
YouTube Monitor

ベース URL

https://pressmonitor.com/api

認証

すべてのリクエストには x-api-key と x-subscription-id ヘッダーが必要です。x-api-key はアカウントを認証し、x-subscription-id は購読サービスを選択します。

x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID
GET /youtube_media_suggestions

YouTube Médias Suggestions

パラメータ

名前 タイプ 場所 必須 説明
keyword string query いいえ Keyword

コード例

curl -X GET \
  "https://pressmonitor.com/api/youtube_media_suggestions?keyword=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

レスポンス

200 Success
GET /youtube_media_details

YouTube Médias Détails

パラメータ

名前 タイプ 場所 必須 説明
videoId string query いいえ YouTube video ID

コード例

curl -X GET \
  "https://pressmonitor.com/api/youtube_media_details?videoId=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

レスポンス

200 Success
GET /youtube_media_subtitles

YouTube Médias Sous-titres

パラメータ

名前 タイプ 場所 必須 説明
videoId string query いいえ YouTube video ID
subtitleUrl string query いいえ Subtitle URL

コード例

curl -X GET \
  "https://pressmonitor.com/api/youtube_media_subtitles?videoId=VALUE&subtitleUrl=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

レスポンス

200 Success
GET /youtube_media_comments

YouTube Médias Commentaires

パラメータ

名前 タイプ 場所 必須 説明
videoId string query いいえ YouTube video ID
limit integer query いいえ Number of results
page string query いいえ Page number

コード例

curl -X GET \
  "https://pressmonitor.com/api/youtube_media_comments?videoId=VALUE&limit=VALUE&page=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

レスポンス

200 Success
GET /youtube_media_channel

YouTube Médias Chaîne

パラメータ

名前 タイプ 場所 必須 説明
channelId string query いいえ YouTube channel ID

コード例

curl -X GET \
  "https://pressmonitor.com/api/youtube_media_channel?channelId=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

レスポンス

200 Success
GET /youtube_media_channel_videos

YouTube Médias Chaîne Vidéos

パラメータ

名前 タイプ 場所 必須 説明
channelId string query いいえ YouTube channel ID
limit integer query いいえ Number of results
page string query いいえ Page number
type string query いいえ Type (videos, shorts, live; or playlists, releases, podcasts)

コード例

curl -X GET \
  "https://pressmonitor.com/api/youtube_media_channel_videos?channelId=VALUE&limit=VALUE&page=VALUE&type=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

レスポンス

200 Success
GET /youtube_transcript

YouTube Transcription

パラメータ

名前 タイプ 場所 必須 説明
videoId string query いいえ YouTube video ID

コード例

curl -X GET \
  "https://pressmonitor.com/api/youtube_transcript?videoId=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

レスポンス

200 Success
GET /youtube_download

YouTube Téléchargement

パラメータ

名前 タイプ 場所 必須 説明
videoId string query いいえ YouTube video ID
kind string query いいえ Kind (video or audio)

コード例

curl -X GET \
  "https://pressmonitor.com/api/youtube_download?videoId=VALUE&kind=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

レスポンス

200 Success
GET /youtube_media_search_channels

YouTube Médias Recherche Chaînes

パラメータ

名前 タイプ 場所 必須 説明
keyword string query いいえ Keyword
limit integer query いいえ Number of results
page string query いいえ Page number

コード例

curl -X GET \
  "https://pressmonitor.com/api/youtube_media_search_channels?keyword=VALUE&limit=VALUE&page=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

レスポンス

200 Success
GET /youtube_media_search_playlists

YouTube Médias Recherche Playlists

パラメータ

名前 タイプ 場所 必須 説明
keyword string query いいえ Keyword
limit integer query いいえ Number of results
page string query いいえ Page number

コード例

curl -X GET \
  "https://pressmonitor.com/api/youtube_media_search_playlists?keyword=VALUE&limit=VALUE&page=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

レスポンス

200 Success
GET /youtube_media_channel_playlists

YouTube Médias Chaîne Playlists

パラメータ

名前 タイプ 場所 必須 説明
channelId string query いいえ YouTube channel ID
limit integer query いいえ Number of results
page string query いいえ Page number
type string query いいえ Type (videos, shorts, live; or playlists, releases, podcasts)

コード例

curl -X GET \
  "https://pressmonitor.com/api/youtube_media_channel_playlists?channelId=VALUE&limit=VALUE&page=VALUE&type=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

レスポンス

200 Success
GET /youtube_media_playlist_details

YouTube Médias Playlist Détails

パラメータ

名前 タイプ 場所 必須 説明
playlistId string query いいえ YouTube playlist ID

コード例

curl -X GET \
  "https://pressmonitor.com/api/youtube_media_playlist_details?playlistId=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

レスポンス

200 Success
GET /youtube_media_playlist_videos

YouTube Médias Playlist Vidéos

パラメータ

名前 タイプ 場所 必須 説明
playlistId string query いいえ YouTube playlist ID
limit integer query いいえ Number of results
page string query いいえ Page number

コード例

curl -X GET \
  "https://pressmonitor.com/api/youtube_media_playlist_videos?playlistId=VALUE&limit=VALUE&page=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

レスポンス

200 Success